function setWeather () {
    var url="http://weather.livedoor.com/forecast/webservice/rest/v1?city=103&day=today";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var lwws = findChild(request.responseXML, "lwws");
    var city = findChild(lwws, "title").textContent;
    city = city.substring(0, city.indexOf("-"));
    var day = findChild(lwws, "day").textContent;
    var telop = findChild(lwws, "telop").textContent;
    var url = findChild(findChild(lwws, "image"),"url").textContent;
    var max = findChild(findChild(findChild(lwws, "temperature"),"max"),"celsius").textContent;
    var min = findChild(findChild(findChild(lwws, "temperature"),"min"),"celsius").textContent;

    document.getElementById("city").innerText = city;
    document.getElementById("day").innerText = "本日の天気";
    document.getElementById("image").src = url;
    document.getElementById("text").innerText = telop;
    document.getElementById("temp").innerText = max + " / " + min;
}
